Support

Why is PayLease making this change?

PayLease is committed to abiding by the latest security protocols issued by the PCI Data Security Council, which governs how merchants and service providers must protect payment card data. Discontinuing use of TLS 1.0 and upgrading to newer, more secure versions was recently recommended by the PCI Security Standards Council. Moving to TLS 1.1 or higher provides a more secure environment and also allows for continued PCI compliance.

Have more questions? Submit a request
Contact Us